#ifndef _MOTEUR
#define _MOTEUR


#include "MonochromeLib.h"
#include "fxlib.h"
#include "TouchLib.h"

#define GRAVITE		6
#define FPS			4
#define JUMP		40

#define ESPACEMENT_TUBES 45

#define LARGEUR_TUBE	10
#define HAUTEUR_TROU	30
#define HAUTEUR_SORTIE	10

typedef struct
{
	int y;
	int depY;
	int numSprite;
}Piaf;

int menu(void);
int moteur(void);
void afficherTout(int *tubes, int distance, void *pPiaf, int score);
void dessinerTube(int x, int y);
void printInt(int x, int y, int nb);
int RTC_getTicks();
void setFps(int fpsWish);

int getScore(void);
void writeScore(int score);

#endif