#include "TouchLib.h"

#ifdef TL_GET_TOUCH_XY
void TL_getTouchXY(TL_Point *p)
{
	char coordonnesX[TL_GET_TOUCH_ROUND];
	char coordonnesY[TL_GET_TOUCH_ROUND];
	char i = 0;
	
	for(i=0; i<TL_GET_TOUCH_ROUND; i++) { coordonnesX[i] = -1; coordonnesY[i] = -1; }
	
	i = 0;
	
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CHAR_0)) { coordonnesX[i] = 0; coordonnesY[i] = 20; i++; }
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CHAR_DP)) { coordonnesX[i] = 5; coordonnesY[i] = 20; i++; }
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CHAR_EXP)) { coordonnesX[i] = 10; coordonnesY[i] = 20; i++; }
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CHAR_PMINUS)) { coordonnesX[i] = 15; coordonnesY[i] = 20; i++; }
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CTRL_EXE)) { coordonnesX[i] = 20; coordonnesY[i] = 20; i++; }
	
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CHAR_1)) { coordonnesX[i] = 0; coordonnesY[i] = 16; i++; }
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CHAR_2)) { coordonnesX[i] = 5; coordonnesY[i] = 16; i++; }
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CHAR_3)) { coordonnesX[i] = 10; coordonnesY[i] = 16; i++; }
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CHAR_PLUS)) { coordonnesX[i] = 15; coordonnesY[i] = 16; i++; }
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CHAR_MINUS)) { coordonnesX[i] = 20; coordonnesY[i] = 16; i++; }
	
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CHAR_4)) { coordonnesX[i] = 0; coordonnesY[i] = 12; i++; }
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CHAR_5)) { coordonnesX[i] = 5; coordonnesY[i] = 12; i++; }
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CHAR_6)) { coordonnesX[i] = 10; coordonnesY[i] = 12; i++; }
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CHAR_MULT)) { coordonnesX[i] = 15; coordonnesY[i] = 12; i++; }
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CHAR_DIV)) { coordonnesX[i] = 20; coordonnesY[i] = 12; i++; }
	
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CHAR_7)) { coordonnesX[i] = 0; coordonnesY[i] = 8; i++; }
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CHAR_8)) { coordonnesX[i] = 5; coordonnesY[i] = 8; i++; }
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CHAR_9)) { coordonnesX[i] = 10; coordonnesY[i] = 8; i++; }
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CTRL_DEL)) { coordonnesX[i] = 15; coordonnesY[i] = 8; i++; }
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CTRL_AC)) { coordonnesX[i] = 20; coordonnesY[i] = 8; i++; }
	
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CHAR_FRAC)) { coordonnesX[i] = 0; coordonnesY[i] = 4; i++; }
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CTRL_FD)) { coordonnesX[i] = 4; coordonnesY[i] = 4; i++; }
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CHAR_LPAR)) { coordonnesX[i] = 8; coordonnesY[i] = 4; i++; }
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CHAR_RPAR)) { coordonnesX[i] = 12; coordonnesY[i] = 4; i++; }
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CHAR_COMMA)) { coordonnesX[i] = 16; coordonnesY[i] = 4; i++; }
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CHAR_STORE)) { coordonnesX[i] = 20; coordonnesY[i] = 4; i++; }
	
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CTRL_XTT)) { coordonnesX[i] = 0; coordonnesY[i] = 0; i++; }
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CHAR_LOG)) { coordonnesX[i] = 4; coordonnesY[i] = 0; i++; }
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CHAR_LN)) { coordonnesX[i] = 8; coordonnesY[i] = 0; i++; }
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CHAR_SIN)) { coordonnesX[i] = 12; coordonnesY[i] = 0; i++; }
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CHAR_COS)) { coordonnesX[i] = 16; coordonnesY[i] = 0; i++; }
	if(i < TL_GET_TOUCH_ROUND && IsKeyDown(KEY_CHAR_TAN)) { coordonnesX[i] = 20; coordonnesY[i] = 0; i++; }
	
	p->x = TL_average(coordonnesX, TL_GET_TOUCH_ROUND);
	p->y = TL_average(coordonnesY, TL_GET_TOUCH_ROUND);
}
#endif

#ifdef TL_GESTURE_TIMER
void TL_gestureTimer(void)
{
	TL_GlobalVariables *globals;
	globals = (TL_GlobalVariables *)TL_initGT();
	TL_getTouchXY(&(globals->TL_GestureTimer_Origin));

	if(globals->TL_GestureTimer_Origin.x > -1)
	{
		if(globals->TL_GestureTimer_IsTouched)
		{
			globals->TL_GestureTimer_Displacement.x = globals->TL_GestureTimer_Origin.x - globals->TL_GestureTimer_PreviousOrigin.x;
			globals->TL_GestureTimer_Displacement.y = globals->TL_GestureTimer_Origin.y - globals->TL_GestureTimer_PreviousOrigin.y;
		}
		else globals->TL_GestureTimer_Delay = 0;
		globals->TL_GestureTimer_IsTouched = 1;
	}
	else 
	{
		if(globals->TL_GestureTimer_IsTouched) globals->TL_GestureTimer_Delay = 0;
		globals->TL_GestureTimer_Displacement.x = 0;
		globals->TL_GestureTimer_Displacement.y = 0;
		globals->TL_GestureTimer_IsTouched = 0;
	}
	globals->TL_GestureTimer_PreviousOrigin.x = globals->TL_GestureTimer_Origin.x;
	globals->TL_GestureTimer_PreviousOrigin.y = globals->TL_GestureTimer_Origin.y;
	globals->TL_GestureTimer_Delay++;
}

void TL_startGT(void)
{
	SetTimer(1, TL_TIMER_DELAY, (void *)(TL_gestureTimer));
}

void TL_stopGT(void)
{
	KillTimer(1);
}

TL_GlobalVariables *TL_initGT(void)
{
	static TL_GlobalVariables var;
	static char initialized = 1;
	if(initialized)
	{
		initialized = 0;
		var.TL_GestureTimer_Origin.x = -1;
		var.TL_GestureTimer_Origin.y = -1;
		var.TL_GestureTimer_PreviousOrigin.x = -1;
		var.TL_GestureTimer_PreviousOrigin.y = -1;
		var.TL_GestureTimer_Displacement.x = 0;
		var.TL_GestureTimer_Displacement.y = 0;
		var.TL_GestureTimer_Delay = 0;
		var.TL_GestureTimer_IsTouched = 0;
	}
	return &var;
}
#endif

#ifdef TL_WAIT_TOUCH_XY 
void TL_waitTouchXY(char Xmin, char Xmax, char Ymin, char Ymax)
{

	TL_Point p;
	
	p.x = p.y = -1;
	
	while(p.x < Xmin || p.x > Xmax || p.y < Ymin || p.y > Ymax)
	{
		TL_getTouchXY(&p);
		Sleep(10);
	}
}
#endif

#ifdef TL_WAIT_GESTURE
void TL_waitGesture(char originX_min, char originX_max, char originY_min, char originY_max, char displacementX_min, char displacementX_max, char displacementY_min, char displacementY_max, int speed)
{
	TL_Point p, p2;
	char depX, depY;
	char i;
	
	p.x = p.y = p2.x = p2.y = -1;
	
	while(1)
	{
		while(p.x < originX_min || p.x > originX_max || p.y < originY_min || p.y > originY_max) TL_getTouchXY(&p);
		
		p2.x = p.x; 
		p2.y = p.y;
		i = speed;
		
		while(i>0)
		{
			TL_getTouchXY(&p);
			
			if(p.x < 0)
			{
				i--;
			}
			else
			{
				i = speed;
				depX = p.x-p2.x;
				depY = p.y-p2.y;
			}
			
			if(depX >= displacementX_min && depX <= displacementX_max && depY >= displacementY_min && depY <= displacementY_max) return;
		}
	}
}
#endif

#ifdef TL_GET_GESTURE
void TL_getGesture(char *originX, char *originY, char *displacementX, char *displacementY, int speed)
{
	TL_Point p, p2;
	int i;
	
	p.x = p.y = p2.x = p2.y = -1;
	i = speed;
	
	while(p.x < 0) TL_getTouchXY(&p);
	*originX = p.x;
	*originY = p.x;
	
	while(i > 0)
	{
		TL_getTouchXY(&p2);
			
		if(p.x < 0)
		{
			i--;
		}
		else
		{
			i = speed;
			*displacementX = p2.x-p.x;
			*displacementY = p2.y-p.y;
		}	
	}
	return;
}
#endif

#ifdef TL_GET_TOUCH_XY
char TL_average(char *tableau, char taille)
{
	int somme = 0, i=0;
	
	if(tableau[0] < 0) return -1;
	
	for(i=0; i<taille; i++)
	{
		if(tableau[i] < 0) taille = i;
		else somme += tableau[i];
	}
	
	return somme/(taille);
}
#endif